/*
* This file is part of Qccrypt, an open-source cross-platform frontend for ccrypt
* encryption tool.
* Copyright (C) 2006-2016  Philippe Beaureilles
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
* Contact e-mail: Philippe Beaureilles <qccrypt@free.fr>
* Program URL   : http://qccrypt.free.fr/
*
*/

#ifndef PASSWORDDIALOG_H
#define PASSWORDDIALOG_H

#include <QDialog>
#include <QFileDialog>
#include <QInputDialog>
#include <QFileInfo>
#include <QDir>

namespace Ui {
class PasswordDialog;
}

class PasswordDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PasswordDialog(QWidget *parent = 0);
    explicit PasswordDialog(bool bUseSecondPassword, QWidget *parent = 0 );
    ~PasswordDialog();
    QString getPassword() const;

private:
    Ui::PasswordDialog *pwdlg_ui;
    QFileInfo currentKeyFileInfo;
    QString password;
    bool bUseSecondPwd;

protected slots:
    void accept();
    void enterThePasswordRadioButtonClicked();
    void useKeyFileRadioButtonClicked();

private slots:
    void checkOkEnabled() const;
    void grabFirstPassword();
    void grabSecondPassword();
    void release();
    void selectKeyFile();

};

#endif // PASSWORDDIALOG_H
